function [] = EColiLexA_MotifSites(MM,file,outputfile)
%Description: a handy graphical tool that was never introduced in the main
%software package: building .txt files to line up all discovered motif
%instances within a family.  Used with the EColi_LexA.m
%
%Produce a .txt file with sequence information for each site, plus all
%Motifs

%remove header
%MM = MembershipMatrix(3:length(MembershipMatrix(:,1)),:);

%import sequences file
[Header Sequence] = fastaread(file);

fid = fopen(outputfile,'w');

%i = 1;
for i = 1:length(MM(:,1))
        
    %write the name of this sequence and the sequence.
    fprintf(fid,'\n%s\n',MM{i,1});

    seqindex = 0;
    for k = 1:length(Header)
       if strmatch(Header{1,k},MM{i,1})
          seqindex = k; 
       end
    end
    
    fprintf(fid,'S:%s\n',upper(Sequence{1,seqindex}));
    %set(h,'FontName','fixedwidth');

    Counter = 0;
    for j = 2:length(MM(1,:))
    
    EntryString = 'M:-';
    for k = 1:200%1000
        EntryString = strcat(EntryString,'-');
    end

       if ~isempty(MM{i,j})
            Start = MM{i,j}(1);
            Stop = MM{i,j}(2);

            
            if Start < Stop %(+) - stranded
                EntryString(Start+2) = '[';
                EntryString(Stop+2) = ']';
            else % (-) - stranded
                EntryString(Stop) = '{';
                EntryString(Start) = '}';
            end
            
            %increment counter and add to result.
            Counter = Counter + 1;
            
            EntryString = strcat(EntryString,num2str(Counter));
            
             fprintf(fid,'%s\n',EntryString);
       end
    end
    
    disp(['Completed ' num2str(i) ' of ' num2str(length(MM(:,1)))]);
end

%set(h,'FontName','fixedwidth');
fclose(fid);

end

%MM = Peaks_1108v2(7,1).AllMotifsAndLocations{1,2}(3:length(Peaks_1108v2(7,1).AllMotifsAndLocations{1,2}),:);
