function Evals = TopFamilyEVals(directory,displayoption)
%This function prints the E-val for the R for the top family, given a
%directory
%
%This function was useful in the analysis of LexA sites in E.Coli,
%searching for various low E-value scoring suggested motifs.

% == 0 == Preset variables
%directory = '/Users/phillipseitzer/Documents/MotifCatcher_Methods/EColiLexA/MotifCatcher/PSI-MEME/Rand';

% == 1 == Create a file containing all MEME output files
system(['ls ' directory '/CESP*/Family1/meme.txt > ' directory '/CESPfiles.txt']);

% == 2 == re-import file, and extract E-value
fid = fopen([directory '/CESPfiles.txt']);
files = textscan(fid,'%s\n');
fclose(fid);

Evals = cell(2,length(files));

for i = 1:length(files{1,1})
    
    %write this CESP directory to structure.
    cespstart = strfind(files{1,1}{i,1},'CESP');
    Evals{1,i} = strtok(files{1,1}{i,1}(cespstart:length(files{1,1}{i,1})),'/');
    
    %retrieve current file name
    MEMEfile = files{1,1}{i,1};
    
    %open this file, and extract E-value for motif.
    fid = fopen(MEMEfile);
    extraction = textscan(fid,'%s');
    fclose(fid);
    
    for j = 1:length(extraction{1,1})-10
        if ~isempty(strmatch(extraction{1,1}{j,1},'MOTIF')) && ...
                ~isempty(strmatch(extraction{1,1}{j+1,1},'1')) && ...
                ~isempty(strmatch(extraction{1,1}{j+2,1},'width')) &&...
                ~isempty(strmatch(extraction{1,1}{j+5,1},'sites')) &&...
                ~isempty(strmatch(extraction{1,1}{j+11,1},'E-value'))
            
            Eval = extraction{1,1}{j+13,1};
        end
    end
    
    Evals{2,i} = Eval;
end

if displayoption == 1
   for i = 1:length(Evals(1,:))
        system(['open ' directory '/' Evals{1,i} '/Family1/meme.html']);
   end
end

end